#!/usr/bin/env python3

import errno, fpdf, helpers, os, os.path, PIL, urllib.request

def getPage(issue, page):
 try:
  helpers.downloadPage("https://www.falter.at/falter/e-paper/fetch/%i/%i.jpg" % (issue, page), issue, page)
 except urllib.error.HTTPError:
  return False

def getIssue(issue, makepdf = True):
 if helpers.makeDir(issue):
  i = 1

  while getPage(issue, i) is not False:
   i += 1

  if i == 1:
   os.rmdir(str(issue))
   return False

  if i < 5:
   print("[NOTICE] Incomplete issue: %i" % issue)

  if makepdf:
   helpers.makePDF(issue, i-1)

 else:
  print("[NOTICE] Skipping issue: %i (already exists)" % issue)

def getterLoop(start = 53):
 i = start
 j = 0

 while j < 5:
  if getIssue(i) is False:
   j += 1
   print("[NOTICE] Skipping issue: %i (not found - %i)" (i, j))
  else:
   j = 0

  i += 1

if __name__ == "__main__":
 getterLoop()
